FROM centos:7

RUN yum -y install autoconf gcc libyaml-devel make
RUN curl -O https://cache.ruby-lang.org/pub/ruby/3.2/ruby-3.2.2.tar.xz
# Verify the SHA256SUM as listed here: https://www.ruby-lang.org/en/news/2023/03/30/ruby-3-2-2-released/
RUN [ "$(sha256sum ruby-3.2.2.tar.xz | sed -n 's/^\([^\s]*\)\s.*/\1/p' | tr -d "\n" | tr -d ' ')" = '4b352d0f7ec384e332e3e44cdbfdcd5ff2d594af3c8296b5636c710975149e23' ]
RUN tar -xf ruby-3.2.2.tar.xz
RUN cd ruby-3.2.2 && ./configure
RUN cd ruby-3.2.2 && make
RUN /ruby-3.2.2/ruby --version
